Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class PlacementType

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.PlacementType

    public class PlacementType

extends Object

Specifies the Amazon EC2 location for the job flow.

Constructor Summary
`PlacementType()`

Method Summary
`String` | `getAvailabilityZone()` The Amazon EC2 Availability Zone for the job flow.
`void` | `setAvailabilityZone(String availabilityZone)` The Amazon EC2 Availability Zone for the job flow.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`PlacementType` | `withAvailabilityZone(String availabilityZone)` The Amazon EC2 Availability Zone for the job flow.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlacementType

    public PlacementType()

Method Detail

### getAvailabilityZone

    public String getAvailabilityZone()

  The Amazon EC2 Availability Zone for the job flow.

  Returns:
    The Amazon EC2 Availability Zone for the job flow.

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  The Amazon EC2 Availability Zone for the job flow.

  Parameters:
    `availabilityZone` - The Amazon EC2 Availability Zone for the job flow.

### withAvailabilityZone

    public PlacementType withAvailabilityZone(String availabilityZone)

  The Amazon EC2 Availability Zone for the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZone` - The Amazon EC2 Availability Zone for the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.